<div mat-dialog-content [formGroup]="updateProductForm">

  <p>Enter new price of the product</p>
  <mat-form-field>
    <input matInput formControlName="price" />
  </mat-form-field>
  <div
    *ngIf="
      updateProductForm.controls.price.getError('required') &&
      updateProductForm.controls.price.touched
    "
    class="alert alert-danger"
  >
    Price cannot be empty
  </div>
  <div
    *ngIf="
      updateProductForm.controls.price.getError('pattern') &&
      updateProductForm.controls.price.touched
    "
    class="alert alert-danger"
  >
    Incorrect format of price it must be 5:2 like 99999.99
  </div>

  <p>Enter description of product</p>
  <mat-form-field>
    <input matInput formControlName="description" />
  </mat-form-field>
</div>
<div mat-dialog-actions>
  <button mat-button (click)="onCloseClick()">Close</button>
  <button
    mat-button
    [disabled]="updateProductForm.invalid"
    (click)="onUpdateClick()"
    cdkFocusInitial
  >
    Update
  </button>
</div>
